Skip to main content
GET
/
plugins
/
{name}
Get Plugin
curl --request GET \
  --url https://use.hoop.dev/api/plugins/{name}
import requests

url = "https://use.hoop.dev/api/plugins/{name}"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://use.hoop.dev/api/plugins/{name}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "connections": [
    {
      "config": [
        "EMAIL_ADDRESS",
        "URL"
      ],
      "id": "B702C63C-E6EB-46BB-9D1E-90EA077E4582",
      "name": "pgdemo"
    }
  ],
  "name": "slack",
  "config": {
    "envvars": {
      "SLACK_APP_TOKEN": "eC1hcHAtdG9rZW4=",
      "SLACK_BOT_TOKEN": "eG94Yi10b2tlbg=="
    },
    "id": "D9A998B3-AA7B-49B0-8463-C9E36435FC0B"
  },
  "id": "15B5A2FD-0706-4A47-B1CF-B93CCFC5B3D7",
  "priority": 0,
  "source": "null"
}
{
"message": "the error description"
}
{
"message": "the error description"
}

Path Parameters

name
string
required

The name of the plugin

Response

OK

connections
object[]
required

The list of connections configured for a specific plugin

name
enum<string>
required

The name of the plugin to enable

  • audit - Audit connections
  • access_control - Enable access control by groups
  • dlp - Enable Google Data Loss Prevention (requires further configuration)
  • indexer - Enable indexing session contents
  • review - Enable reviewing executions
  • runbooks - Enable configuring runbooks
  • slack - Enable reviewing execution through Slack
  • webhooks - Send events via webhooks
Available options:
audit,
access_control,
dlp,
indexer,
review,
runbooks,
slack,
webhooks
Example:

"slack"

config
object

The top level plugin configuration. This value is immutable after creation

id
string<uuid>
read-only

The resource identifier

Example:

"15B5A2FD-0706-4A47-B1CF-B93CCFC5B3D7"

priority
integer
default:0

DEPRECATED, should be always 0

source
string
default:null

DEPRECATED, should be always null